.social {
  @include list-reset;

  display: flex;
  flex-wrap: wrap;
}

.social__item {
  width: 66px;
  height: 66px;
  border-radius: 50%;
  border: 1px solid $brown;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: color 0.3s;
  background-color: transparent;

  a {
    width: 66px;
    height: 66px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  &:hover {
    background-color: $green;
    border-color: transparent;

    svg {
      path {
        fill: #ffffff;
      }
    }
  }

  &:not(:last-child) {
    margin-right: 12px;
  }

  img {
    display: block;
    width: 24px;
    height: 24px;
  }

  svg {
    display: block;
    width: 24px;
    height: 24px;
  }
}

@media (max-width: 330px) {
  .social__item {
    width: 55px;
    height: 55px;
  }
}
